Bug 41282 - Several import test scripts (3?_*) are failing
Several import test scripts (3?_*) are failing
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: ucs-test
UCS@school 4.1
Other Linux
: P5 normal (vote)
: UCS@school 4.1 R2 vXXX
Assigned To: Daniel Tröder
Sönke Schwardt-Krummrich
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-17 14:56 CEST by Sönke Schwardt-Krummrich
Modified: 2016-10-04 13:24 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2016-05-17 14:56:28 CEST
Several import test scripts (3?_*) are failing in jenkins. As far as I can see, is the runtime (>1h) one problem.
Comment 1 Daniel Tröder univentionstaff 2016-07-25 09:03:39 CEST
Import-Tests have been fixed.
Comment 2 Florian Best univentionstaff 2016-07-26 13:38:08 CEST
(In reply to Daniel Tröder from comment #1)
> Import-Tests have been fixed.
More information please.
Comment 3 Daniel Tröder univentionstaff 2016-07-26 14:06:11 CEST
Some tests ran to long, so the timeout was raised. And the new 'schools' attribute was not properly supported by a function in ucs-test-ucsschool and in the package ucs-school-umc-csv-import.


branches/ucs-4.1/ucs-school-4.1r2$ svn log --search "Bug #41282"
------------------------------------------------------------------------
r71204 | dtroeder | 2016-07-22 15:24:29 +0200 (Fr, 22. Jul 2016) | 1 Zeile

YAML Bug #41282, Bug #41572, Bug #41595
------------------------------------------------------------------------
r71202 | dtroeder | 2016-07-22 15:13:31 +0200 (Fr, 22. Jul 2016) | 1 Zeile

Bug #41282: adapt to ou-overlapping users
------------------------------------------------------------------------
r71183 | dtroeder | 2016-07-21 19:34:12 +0200 (Do, 21. Jul 2016) | 1 Zeile

Bug #41282: fix import_via_python_api
------------------------------------------------------------------------
r70181 | sschwardt | 2016-06-14 18:08:49 +0200 (Di, 14. Jun 2016) | 1 Zeile

Bug #41282: increase max timeout for import tests (again)
------------------------------------------------------------------------
r70096 | sschwardt | 2016-06-12 22:13:49 +0200 (So, 12. Jun 2016) | 1 Zeile

Bug #41282: increase max timeout for import tests (again)
------------------------------------------------------------------------
r69684 | sschwardt | 2016-06-01 10:24:23 +0200 (Mi, 01. Jun 2016) | 1 Zeile

Bug #41282: increase max timeout for import tests
------------------------------------------------------------------------
r69361 | sschwardt | 2016-05-18 10:29:22 +0200 (Mi, 18. Mai 2016) | 1 Zeile

Bug #41282: increase max timeout
------------------------------------------------------------------------
Comment 5 Florian Best univentionstaff 2016-09-12 16:02:58 CEST
./ucs-test-ucsschool/univention/testing/ucsschool.py:529:3: F821 undefined name 'WorkGroup'
./ucs-test-ucsschool/univention/testing/ucsschool.py:530:3: F821 undefined name 'WorkGroup'
./ucs-test-ucsschool/univention/testing/ucsschool.py:531:12: F821 undefined name 'WorkGroup'
Comment 6 Sönke Schwardt-Krummrich univentionstaff 2016-09-27 22:14:01 CEST
(In reply to Florian Best from comment #5)
> ./ucs-test-ucsschool/univention/testing/ucsschool.py:529:3: F821 undefined
> name 'WorkGroup'
> ./ucs-test-ucsschool/univention/testing/ucsschool.py:530:3: F821 undefined
> name 'WorkGroup'
> ./ucs-test-ucsschool/univention/testing/ucsschool.py:531:12: F821 undefined
> name 'WorkGroup'

This should be no longer a problem.
Comment 7 Sönke Schwardt-Krummrich univentionstaff 2016-09-29 17:56:15 CEST
Change in ucs-school-csv-import has been done by Daniel. Tests have been successful.
Comment 8 Sönke Schwardt-Krummrich univentionstaff 2016-10-04 13:24:47 CEST
UCS@school 4.1 R2 v5 has been released.

http://docs.software-univention.de/changelog-ucsschool-4.1R2v5-de.html

If this error occurs again, please clone this bug.